Update folder

PUT
/api/v2/hubfolders/{HubFolderId}

Updates an existing folder by its unique identifier. Returns the updated folder.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

HubFolderId*string

The unique identifier of the folder to update.

Formatuuid

Request Body

application/json

The updated folder data.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/hubfolders/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "parentUrl": "string",    "location": "string"  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",    "name": "string",    "parentUrl": "string",    "location": "string"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}